XSIDCDefinition Class Reference
Inheritance diagram for XSIDCDefinition:

## Public Types

enum | IC_CATEGORY { IC_KEY = 1, IC_KEYREF = 2, IC_UNIQUE = 3 }

## Public Member Functions

Constructors
| XSIDCDefinition (IdentityConstraint *const identityConstraint, XSIDCDefinition *const keyIC, XSAnnotation *const headAnnot, StringList *const stringList, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSIDCDefinition ()
overridden XSXSObject methods
const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified. More...
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
XSIDCDefinition methods
IC_CATEGORY | getCategory () const
| [identity-constraint category]: one of IC_KEY, IC_KEYREF or IC_UNIQUE. More...
const XMLCh * | getSelectorStr ()
| [selector]: a restricted XPath expression. More...
StringList * | getFieldStrs ()
| [fields]: a non-empty list of restricted XPath ([XPath]) expressions. More...
XSIDCDefinition * | getRefKey () const
| [referenced key]: required if [identity-constraint category] is IC_KEYREF, forbidden otherwise (when an identity-constraint definition with [ identity-constraint category] equal to IC_KEY or IC_UNIQUE). More...
XSAnnotationList * | getAnnotations ()
| A set of [annotations]. More...
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual XMLSize_t | getId () const
| Optional. More...
void | setId (XMLSize_t id)
| methods needed by implementation More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Protected Attributes

IdentityConstraint * | fIdentityConstraint
XSIDCDefinition * | fKey
StringList * | fStringList
XSAnnotationList * | fXSAnnotationList
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Member Enumeration Documentation

enum XSIDCDefinition::IC_CATEGORY

Enumerator
IC_KEY |
IC_KEYREF |
IC_UNIQUE |

## Constructor & Destructor Documentation

XSIDCDefinition::XSIDCDefinition | ( | IdentityConstraint *const | identityConstraint,
|  | XSIDCDefinition *const | keyIC,
|  | XSAnnotation *const | headAnnot,
|  | StringList *const | stringList,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  identityConstraint |
  keyIC |
  headAnnot |
  stringList |
  xsModel |
  manager | The configurable memory manager

XSIDCDefinition::~XSIDCDefinition | ( |  | ) |

## Member Function Documentation

XSAnnotationList* XSIDCDefinition::getAnnotations | ( |  | ) |

A set of [annotations].

IC_CATEGORY XSIDCDefinition::getCategory | ( |  | ) | const

[identity-constraint category]: one of IC_KEY, IC_KEYREF or IC_UNIQUE.

StringList * XSIDCDefinition::getFieldStrs | ( |  | ) |

[fields]: a non-empty list of restricted XPath ([XPath]) expressions.

const XMLCh* XSIDCDefinition::getName | ( |  | ) | const

virtual

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented from XSObject.

const XMLCh* XSIDCDefinition::getNamespace | ( |  | ) |

virtual

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented from XSObject.

XSNamespaceItem* XSIDCDefinition::getNamespaceItem | ( |  | ) |

virtual

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented from XSObject.

XSIDCDefinition * XSIDCDefinition::getRefKey | ( |  | ) | const

[referenced key]: required if [identity-constraint category] is IC_KEYREF, forbidden otherwise (when an identity-constraint definition with [ identity-constraint category] equal to IC_KEY or IC_UNIQUE).

References XERCES_CPP_NAMESPACE_END.

const XMLCh* XSIDCDefinition::getSelectorStr | ( |  | ) |

[selector]: a restricted XPath expression.

## Member Data Documentation

IdentityConstraint* XSIDCDefinition::fIdentityConstraint

protected

XSIDCDefinition* XSIDCDefinition::fKey

protected

StringList* XSIDCDefinition::fStringList

protected

XSAnnotationList* XSIDCDefinition::fXSAnnotationList

protected

The documentation for this class was generated from the following file:

- XSIDCDefinition.hpp